import diewald_PS3.PS3;
import diewald_PS3.constants.*;
import diewald_PS3.logger.PS3Logger;

import oscP5.*;
import netP5.*;

import controlP5.*;

PS3 ps3;

PImage img;

ControlP5 cp5;

OscP5 oscP5;
NetAddress myRemoteLocation;



int sliderValue = 100;



Bildverarbeitung myBildverarbeitung= new Bildverarbeitung();

Geschwindigkeiten myGeschwindigkeiten = new Geschwindigkeiten();

Wegberechnung myWegberechnung=new Wegberechnung();




void setup() {
  size(640, 480);

  ps3 = PS3.create( 0 );
  ps3.init(VIDEO_MODE.VGA, COLOR_MODE.COLOR_PROCESSED, 120);
  ps3.start();
  ps3.setLed(true);
  img = createImage(ps3.getWidth(), ps3.getHeight(), ARGB);

  cp5 = new ControlP5(this);

  cp5.addSlider("sliderValue")
    .setPosition(100, 50)
      .setRange(0, 20)
        ;
  frameRate(25);

  oscP5 = new OscP5(this, 12000);

  myRemoteLocation = new NetAddress("192.168.0.100", 8000);
}



float TorX = 0;
float TorY = 0;

int nMessungen = 100;



void draw() {

  myBildverarbeitung.findePunkte();

  myBildverarbeitung.Kreise();

  myGeschwindigkeiten.geschwindigkeitsRechner();
  
  myWegberechnung.berechnen();

  
}


void mousePressed() {

  int index = mouseX+mouseY*640;
  int pixelValue = img.pixels[index]; //guck dir das indexte Pixel an
  float red = red(pixelValue);  //misst den red Wert eines Pixels
  float green = green(pixelValue);  //misst den grün Wert
  float blue = blue(pixelValue); 

  println(red);
  println(green);
  println(blue);
}

